# ACFSpongeListener (ACF (Sponge) 0.5.1-SNAPSHOT API)
declaration: package: co.aikar.commands, class: ACFSpongeListener

Package co.aikar.commands

# Class ACFSpongeListener

java.lang.Object
co.aikar.commands.ACFSpongeListener

public class ACFSpongeListener extends Object

## Constructor Summary

Constructors
Constructor
Description
`ACFSpongeListener(SpongeCommandManager manager)`

## Method Summary

Modifier and Type
Method
Description
`void`
`onDisconnectCleanup(org.spongepowered.api.event.network.ClientConnectionEvent.Disconnect disconnectEvent, org.spongepowered.api.entity.living.player.Player player)`
`void`
`onSettingsChange(org.spongepowered.api.event.entity.living.humanoid.player.PlayerChangeClientSettingsEvent changeSettingsEvent, org.spongepowered.api.entity.living.player.Player targetPlayer)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ACFSpongeListener

public ACFSpongeListener (SpongeCommandManager manager)

## Method Details

### onSettingsChange

public void onSettingsChange (org.spongepowered.api.event.entity.living.humanoid.player.PlayerChangeClientSettingsEvent changeSettingsEvent, org.spongepowered.api.entity.living.player.Player targetPlayer)

### onDisconnectCleanup

public void onDisconnectCleanup (org.spongepowered.api.event.network.ClientConnectionEvent.Disconnect disconnectEvent, org.spongepowered.api.entity.living.player.Player player)